using System;

namespace NESUSEDNI
{
    class Program
    {
        static void Main(string[] args)
        {
            string UlazC = Console.ReadLine();
            string[] UlazA = Console.ReadLine().Split();
            int A1 = int.Parse(UlazA[0]), A2 = int.Parse(UlazA[1]);
            string resenje,P,D;
            if (A1 > A2)
            {
                P = UlazC[0].ToString();
                D = UlazC[1].ToString();
            }
            else
            {
                P = UlazC[1].ToString();
                D = UlazC[0].ToString();
            }
            char[] res = new char[A1 + A2];
            for(int i = 0; i < A1 + A2; i += 2)
            {
                res[i] = char.Parse(P);
            }
            for(int i = 1; i < A1 + A2; i += 2)
            {
                res[i] = char.Parse(D);
            }
            resenje = res.ToString();
            if (Math.Abs(A1 - A2) > 1)
            {
                resenje = "nemoguce";
            }
            Console.WriteLine("{0}", resenje);
            
            
            
            
        }
    }
}